Bug 113927 - Multiple same specifications for/var/lib/dhcp(3)
Summary: Multiple same specifications for/var/lib/dhcp(3)
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: policy (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact:
URL:
Whiteboard:
Keywords:
: 114394 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-01-20 08:43 UTC by Olivier Baudron
Modified: 2007-11-30 22:10 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-02-11 14:17:25 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Olivier Baudron 2004-01-20 08:43:05 UTC
On my Fedora up-to-date laptop, when upgrading packages I get the
message: "WARNING: Multiple same specifications for/var/lib/dhcp(3)?."

It seems, it comes from file
/etc/security/selinux/src/policy/file_contexts/program/dhcpc.fc:

...snip...
/var/lib/dhcp(3)?       -d      system_u:object_r:dhcp_state_t
/var/lib/dhcp(3)?/dhclient.*    system_u:object_r:dhcpc_state_t
...snip...

Comment 1 Mike McLean 2004-02-09 22:59:06 UTC
*** Bug 114394 has been marked as a duplicate of this bug. ***

Comment 3 Mike McLean 2004-02-09 23:05:24 UTC
From bug#114394:
> If you look at
> [/etc/security/selinux/src/policy/file_contexts/file_contexts]
> carefully, /var/lib/dhcp(3) is specified twice, one for dhcpd and
> another one for dhcpcd. Both entries are identical, so one of
> them must be removed.

Comment 4 Daniel Walsh 2004-02-11 14:17:25 UTC
Fixed in rawhide

Now using m4

policy-1.4.13-6


Comment 5 Felipe Alfaro Solana 2004-02-19 14:14:05 UTC
I'm seeing this error message again on Fedora Core 2 Test 1:

WARNING: Multiple same specifications for /var/lib/dhcp(3)?.

policy-1.4.16-2
policycoreutils-1.4-7
checkpolicy-1.4-6
rpm-4.3-0.11

Comment 6 Daniel Walsh 2004-02-19 16:01:40 UTC
Upgrade to latest policy.
policy-1.4.17 or later


Note You need to log in before you can comment on or make changes to this bug.